Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 186599 - Removing mouseconfig in %packages causes error message in %post
Summary: Removing mouseconfig in %packages causes error message in %post
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: anaconda
Version: 3.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-03-24 16:53 UTC by Dag Wieers
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-27 14:59:28 UTC
Target Upstream Version:


Attachments (Terms of Use)
Kickstart file causing the problems (deleted)
2006-03-27 05:29 UTC, Dag Wieers
no flags Details

Description Dag Wieers 2006-03-24 16:53:08 UTC
Description of problem:
If you remove mouseconfig in %packages, anaconda will display an error-message
in tty1 (over the ncurses interface) when it tries to run mouseconfig. (eg.
mouseconfig: command not found)

In fact, you can turn this into enhancement request to allow for disabling mouse
altogether in a kickstart file, since the HP remote console (iLo) uses a Java
console, and enabling the mouse will make it even slower.

I tried doing:

    mouse none

But that seems to make kickstart fail in a complete other section.

Which seems to happen a lot when it has some sort of syntax-problem. I haven't
been able to isolate the problem though, with a single kickstart file it happens
on some times and not on others. (I'm doing stress-tests now)

The error always is 'vgcreate failed for ...'

This is on a RHEL3 U7

Version-Release number of selected component (if applicable):


How reproducible:
Tested with RHEL3 U7

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Dag Wieers 2006-03-24 16:55:57 UTC
Forgot to mention that my hunch is that it is related to clearpart:

    clearpart --all --initlabel

Comment 2 Dag Wieers 2006-03-24 17:08:29 UTC
Also, it would be nice if there was an option to reboot when there has been a
problem. Something like 'stresstest' which will reboot on kickstart failure
(maybe also enable panic) and maybe even report the failure on the webserver.
(by going to the original kickstart URL with something like:
?error=vgcreate:%20failed%for%rootvg

This way I could leave it running all weekend, come back and see how many times
it was able to install and if there was some sort of repetition in the
behaviour. If you think this would be useful, I can create another enhancement
request.

Comment 3 Dag Wieers 2006-03-27 05:29:51 UTC
Created attachment 126786 [details]
Kickstart file causing the problems

We're using this kickstart file with the following commandline:

    label pztvw1
	kernel vmlinuz
	append initrd=initrd.img text ip=10.233.80.32 netmask=255.255.255.192
gateway=10.233.80.1 hostname=pztvw1 ksdevice=00:11:0A:58:66:BC
ks=http://10.50.33.171/footprint/

Comment 4 Chris Lumens 2006-05-22 14:58:33 UTC
You could use a %traceback script in your kickstart file to automatically
reboot, post your traceback log to a web server, etc.  These scripts are written
similarly to the %pre/%post scripts.  I don't know how long they've been
supported, but I think they've been around for quite a while now.

Comment 5 Chris Lumens 2006-05-25 17:18:37 UTC
The mouse keyword is deprecated in kickstart in Rawhide and has no effect. 
Could you please test against Rawhide if at all possible and let me know if you
are still seeing problems?


Note You need to log in before you can comment on or make changes to this bug.